Skip to main content
GET
/
unit-conversion-rules
List unit conversion rules
curl --request GET \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/unit-conversion-rules \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "base_unit_of_measure_id": 123,
      "base_unit_of_measure": {
        "id": 123,
        "name": "<string>",
        "unit_class_id": 123,
        "base_unit": true
      },
      "converted_unit_of_measure_id": 123,
      "converted_unit_of_measure": {
        "id": 123,
        "name": "<string>",
        "unit_class_id": 123,
        "base_unit": true
      },
      "conversion_factor": 123,
      "type": "SYSTEM",
      "product_id": 123,
      "product": {},
      "product_alternate_skus": [
        {}
      ]
    }
  ],
  "meta": {
    "current_page": 123,
    "per_page": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Query Parameters

page
integer
Required range: x >= 1
per_page
integer
Required range: 1 <= x <= 100

Response

Successful response

data
object[]
meta
object